# Układ Słoneczny 3D

Ten projekt prezentuje animację Układu Słonecznego w 3D, wykorzystując React, [react-three-fiber](https://github.com/pmndrs/react-three-fiber), [three.js](https://threejs.org/), [@react-three/drei](https://github.com/pmndrs/drei) oraz [@react-three/postprocessing](https://github.com/pmndrs/react-postprocessing). Scena zawiera realistycznie teksturowane planety i Słońce, trajektorie orbit oraz imponujące efekty świetlne z postprocessingu (Bloom). Całość renderowana jest na pełnoekranowym kanwie.

## Funkcjonalności

- **Renderowanie 3D:** Scena jest renderowana z użyciem `react-three-fiber` i `three.js`.
- **Realistyczne tekstury:** Do wizualizacji planet oraz Słońca używane są tekstury (plik umieszczone w `src/assets`).
- **Animacja planet:** Każda planeta porusza się po swojej orbicie, a ich ruch jest animowany.
- **Trajektorie orbit:** Orbity planet są wizualizowane jako białe linie, co ułatwia śledzenie ich ruchu.
- **Efekt gwiezdnego tła:** Użyto komponentu `<Stars>` z `@react-three/drei`, by uzyskać efekt gwiezdnego nieba.
- **Interaktywna kamera:** Dzięki `OrbitControls` możesz obracać sceną i przybliżać szczegóły.
- **Postprocessing:** Scena wyposażona jest w efekt Bloom, który nadaje imponujący wygląd efektom świetlnym.
- **Pełnoekranowy Canvas:** Renderowanie odbywa się na całym ekranie.

## Instalacja

1. **Sklonuj repozytorium:**

   ```bash
   git clone <URL_DO_REPOZYTORIUM>
   cd <NAZWA_FOLDERU>
   ```

2. **Zainstaluj zależności:**

   ```bash
   npm install
   ```

3. **Uruchom projekt:**

   ```bash
   npm run dev
   ```
   lub
   ```bash
   npm start
   ```

## Struktura projektu
